be.ehealth.businessconnector.mycarenet.memberdatav2.domain

## Class MemberDataBuilderResponse

- java.lang.Object
- - be.ehealth.businessconnector.mycarenet.memberdatav2.domain.MemberDataBuilderResponse

-     public class MemberDataBuilderResponse
      extends Object

  MemberData Sync business response, used by `ResponseObjectBuilder` to handle the WS response. It wraps and expose through getter methods:

  - a `Map` of signatures verification results where the key is the Xpath expression with which the xml signature may be queried from the dom of the business response and value is a `SignatureVerificationResult`
  - the business response as a byte array

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberDataBuilderResponse(MemberDataConsultationResponse consultationResponse, byte[] response, Map<String,SignatureVerificationResult> signatureVerificationResults)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemberDataConsultationResponse` | `getConsultationResponse()`
    `byte[]` | `getResponse()`
    `Map<String,SignatureVerificationResult>` | `getSignatureVerificationResult()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberDataBuilderResponse

          public MemberDataBuilderResponse(MemberDataConsultationResponse consultationResponse,
                                           byte[] response,
                                           Map<String,SignatureVerificationResult> signatureVerificationResults)

  - ### Method Detail

    - #### getConsultationResponse

          public MemberDataConsultationResponse getConsultationResponse()

    - #### getResponse

          public byte[] getResponse()

    - #### getSignatureVerificationResult

          public Map<String,SignatureVerificationResult> getSignatureVerificationResult()

Connector Packaging PHYSIOTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.